Install Padwalker on windows for EPIC - Eclipse Perl Integration

To install Padwalker on your windows machine follow the steps:

I have PPM Version v4.10 and ActiveState perl v5.8.9
1. Download PadWalker-1.9.tar.gz it from CPAN http://search.cpan.org/dist/PadWalker
2. unzip and extract it to your Perl\lib folder (should find it over here C:\Perl\lib)
3. In command line go to the extracted folder and execute: PPM install PadWalker

4. Please leave a comment or g +1 or share on f or share on t below if this post helped you. This will keep me motivating.

Done!  You have successfully installed PadWalker on windows.

24 comments:

kg said...

it's ppm install PadWalker not ppm install PadWalker.pm

ankit said...

Thanks kg.

solarisuser said...

Hi Ankit,

Thank you very much.

Followed your instructions and was able to install PadWalker.

Thank you.

eMonk said...

Hi Ankit,

I've been struggling to install the same on Windows 7. Your artcle did the trick.

Take three bows from me!

-Susil

Reazur Rahman said...

thanks

Faez Shingeri said...

Unable to do it from office :( Any way out..?

Andrew Wanda said...

Hi Ankit, I have to learn Perl by the weekend and this was a great help! Thanks

Jim Pearson - Vivid Peace said...

I needed to find this very simple bit of information... As I waded through the jillions of RTFM comments on the web, your simple, concise howto worked great and is refreshing. Thank you so much.

ankit said...

I started this blog in 2011 and forget about it. I am visiting my blog again today and reading through the comments. I am so happy for you guys that my post helped you'll.

Anonymous said...

Thank you So much.. It worked for me. :)

Arun said...

great. thanks!

Anonymous said...

this helped, thanks

Anonymous said...

Thkx, was a great help!

Anonymous said...

That did it for me too. Thanks!

Anonymous said...
This comment has been removed by a blog administrator.
Anonymous said...

Thanks for the help !!
Easy and effective

John Mathew said...

When i tried to install, it is showing the following error.

C:\Perl64\lib\PadWalker-2.0>PPM install PadWalker
Downloading ActiveState Package Repository packlist...failed 500 Can't connect to ppm4.activestate.com:80
PPM install failed: Can't find any package that provides PadWalker

worldfreeumovies said...

It sounds very interesting!
i like the post very much keep it up
Yah this blog is making a dfference. I love it.
Buy AC online

pari said...

worked for me. Thank You!

Anonymous said...

Thanks a lot!

Mohibul Hasan said...
This comment has been removed by a blog administrator.
Oleg said...

Same issue as already John Mathew faced.
I tried to copy the PadWalker.pm file one stage upper - to /lib. But still the same issue:
C:\Perl\lib>ppm install PadWalker
Downloading ActiveState Package Repository packlist...failed 500 Can't connect t
o ppm4.activestate.com:80
ppm install failed: Can't find any package that provides PadWalker

Obviously, I have to say it should look for the local file, anyhow.

But how?

Anonymous said...

For e.g.

C:\Perl64\lib\PadWalker-2.0>

you have to do:

C:\Perl64\lib\PadWalker-2.0>PPM install PadWalker-2.0

But then it is still not recognized in Eclipse for some reason...

Suresh Triapthi said...
This comment has been removed by a blog administrator.